aboutsummaryrefslogtreecommitdiff
path: root/ci/before_cache.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/before_cache.sh')
-rwxr-xr-xci/before_cache.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ci/before_cache.sh b/ci/before_cache.sh
new file mode 100755
index 0000000000..3d7cc0ec5a
--- /dev/null
+++ b/ci/before_cache.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+source "${CI_DIR}/common/suite.sh"
+
+# Don't cache pip's log and selfcheck.
+rm -rf "${HOME}/.cache/pip/log"
+rm -f "${HOME}/.cache/pip/selfcheck.json"
+
+# Update the third-party dependency cache only if the build was successful.
+if ended_successfully; then
+ rm -rf "${HOME}/.cache/nvim-deps"
+ mv "${DEPS_BUILD_DIR}" "${HOME}/.cache/nvim-deps"
+ touch "${CACHE_MARKER}"
+ echo "Updated third-party dependencies (timestamp: $(stat -c '%y' "${CACHE_MARKER}"))."
+fi